Package org.springframework.security.config.annotation.web.configurers

# Class HeadersConfigurer.PermissionsPolicyConfig

java.lang.Object
org.springframework.security.config.annotation.web.configurers.HeadersConfigurer.PermissionsPolicyConfig

Enclosing class:
  HeadersConfigurer<H extends HttpSecurityBuilder<H>>

public final class HeadersConfigurer.PermissionsPolicyConfig extends Object

## Method Summary

Modifier and Type
Method
Description
`HeadersConfigurer<H>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`HeadersConfigurer<H>.PermissionsPolicyConfig`
`policy(String policy)`
Sets the policy to be used in the response header.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### policy

public HeadersConfigurer<H>.PermissionsPolicyConfig policy(String policy)
Sets the policy to be used in the response header.

Parameters:
  `policy` - a permissions policy
Returns:
  the `HeadersConfigurer<H extends HttpSecurityBuilder<H>>.PermissionsPolicyConfig` for additional configuration
Throws:
  `IllegalArgumentException` - if policy is null

### and

@Deprecated(since="6.1", forRemoval=true) public HeadersConfigurer<H> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `HeadersConfigurer.permissionsPolicy(Customizer)` instead
Allows completing configuration of Permissions Policy and continuing configuration of headers.

Returns:
  the `HeadersConfigurer` for additional configuration